Get basic Bungie information about a player with minimal cost
curl --request GET \
--url https://api.example.com/player/{membershipId}/basic{
"membershipId": "<string>",
"membershipType": 123,
"iconPath": "<string>",
"displayName": "<string>",
"bungieGlobalDisplayName": "<string>",
"bungieGlobalDisplayNameCode": "<string>",
"lastSeen": "<string>",
"isPrivate": true,
"cheatLevel": 123,
"PlayerNotFoundError": {
"membershipId": "<string>"
}
}An extremely low-cost API call to get basic Bungie information about a player. The information is not guaranteed to be fully up-to-date, but should be accurate enough for most use cases where you only have the membershipId available.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/Raid-Hub/API/llms.txt
Use this file to discover all available pages before exploring further.
1: Xbox2: PlayStation3: Steam4: Blizzard (deprecated)5: Stadia (deprecated)6: Epic Games Storehttps://www.bungie.net to get the full URL.bungieGlobalDisplayName#bungieGlobalDisplayNameCode.0: None1: Suspicious2: Moderate3: Extreme4: Blacklistedcurl -X GET "https://api.raidhub.io/player/4611686018488107374/basic" \
-H "X-API-Key: your_api_key_here"
{
"minted": "2026-03-03T12:34:56.789Z",
"success": true,
"response": {
"membershipId": "4611686018488107374",
"membershipType": 3,
"iconPath": "/common/destiny2_content/icons/93844c8b76ea80683a880479e3506980.jpg",
"displayName": "xx_newo_xx",
"bungieGlobalDisplayName": "Newo",
"bungieGlobalDisplayNameCode": "9010",
"lastSeen": "2021-05-01T00:00:00.000Z",
"isPrivate": false,
"cheatLevel": 0
}
}
Show error
{
"minted": "2026-03-03T12:34:56.789Z",
"success": false,
"code": "PlayerNotFoundError",
"error": {
"membershipId": "4611686018488107374"
}
}
curl --request GET \
--url https://api.example.com/player/{membershipId}/basic{
"membershipId": "<string>",
"membershipType": 123,
"iconPath": "<string>",
"displayName": "<string>",
"bungieGlobalDisplayName": "<string>",
"bungieGlobalDisplayNameCode": "<string>",
"lastSeen": "<string>",
"isPrivate": true,
"cheatLevel": 123,
"PlayerNotFoundError": {
"membershipId": "<string>"
}
}